<back to all web services

GetProjectsService

The following routes are available for this service:
GET/RestApi/translations/projects/services
using System;
using System.IO;
using System.Collections;
using System.Collections.Generic;
using System.Runtime.Serialization;
using ServiceStack;
using ServiceStack.DataAnnotations;
using Telerik.Sitefinity.Translations.Web.Services.Dto.Request.Projects;
using Telerik.Sitefinity.Translations.Model;

namespace Telerik.Sitefinity.Translations.Model
{
    public enum ProjectStatus
    {
        NotStarted,
        Started,
        Completed,
    }

}

namespace Telerik.Sitefinity.Translations.Web.Services.Dto.Request.Projects
{
    public partial class GetProjectsService
        : IProjectsFilter
    {
        public virtual string SearchText { get; set; }
        public virtual string[] Service { get; set; }
        public virtual ProjectStatus? ProjectStatus { get; set; }
        public virtual string ActualSourceLanguage { get; set; }
        public virtual bool WithoutSourceLanguage { get; set; }
    }

}

C# GetProjectsService DTOs

To override the Content-type in your clients, use the HTTP Accept Header, append the .csv suffix or ?format=csv

HTTP + CSV

The following are sample HTTP requests and responses. The placeholders shown need to be replaced with actual values.

GET /RestApi/translations/projects/services HTTP/1.1 
Host: www.imglobal.com 
Accept: text/csv
HTTP/1.1 200 OK
Content-Type: text/csv
Content-Length: length

{Unable to show example output for type 'IList`1' using the custom 'csv' filter}Cannot create an instance of an interface.